php-apcu_5.1.17+4.0.11-1_amd64.deb


Advertisement

Description

php-apcu - APC User Cache for PHP

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-apcu_5.1.17+4.0.11-1_amd64.deb
Package name php-apcu
Package version 5.1.17+4.0.11
Package release 1
Package architecture amd64
Package type deb
Category universe/php
Homepage https://pecl.php.net/package/APCu
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 40.87 KB
Installed size 180.00 KB
The APCu is userland caching: APC (Alternative PHP Cache) stripped of
opcode caching after the deployment of Zend OpCache in PHP 5.5 as the
primary solution to opcode caching in future versions of PHP.
The APCu is a fast solution for userland caching (and dumping) of PHP
variables locally, it is not distributed like MemcacheD, but they can
be used together for optimal caching.

Alternatives

Package Version Architecture Repository
php-apcu_5.1.17+4.0.11-1_i386.deb 5.1.17+4.0.11 i386 Ubuntu Universe
php-apcu - - -

Requires

Name Value
libc6 >= 2.14
php-common >= 2:69~
phpapi-20170718 -

Provides

Name Value
php-user-cache -
php7.2-apcu -

Conflicts

Name Value
php-user-cache -
php-xcache -
php-yac -

Replaces

Name Value
php-user-cache -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-apcu_5.1.17+4.0.11-1_amd64.deb
Source Package php-apcu

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-apcu deb package:
    # sudo apt-get install php-apcu

Files

Path
/etc/php/7.2/mods-available/apcu.ini
/usr/include/php/20170718/ext/apcu/apc.h
/usr/include/php/20170718/ext/apcu/apc_api.h
/usr/include/php/20170718/ext/apcu/apc_arginfo.h
/usr/include/php/20170718/ext/apcu/apc_cache.h
/usr/include/php/20170718/ext/apcu/apc_cache_api.h
/usr/include/php/20170718/ext/apcu/apc_globals.h
/usr/include/php/20170718/ext/apcu/apc_iterator.h
/usr/include/php/20170718/ext/apcu/apc_lock.h
/usr/include/php/20170718/ext/apcu/apc_lock_api.h
/usr/include/php/20170718/ext/apcu/apc_mutex.h
/usr/include/php/20170718/ext/apcu/apc_serializer.h
/usr/include/php/20170718/ext/apcu/apc_sma.h
/usr/include/php/20170718/ext/apcu/apc_sma_api.h
/usr/include/php/20170718/ext/apcu/apc_stack.h
/usr/include/php/20170718/ext/apcu/php_apc.h
/usr/lib/php/20170718/apcu.so
/usr/share/doc/php-apcu/README.Debian
/usr/share/doc/php-apcu/changelog.Debian.gz
/usr/share/doc/php-apcu/copyright

Changelog

2019-02-08 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.17+4.0.11-1) unstable; urgency=medium
* New upstream version 5.1.17+4.0.11
2018-12-17 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.16+4.0.11-1) unstable; urgency=medium
* New upstream version 5.1.16+4.0.11
* Add Pre-Depends on php-common >= 0.69~
2018-10-16 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.12+4.0.11-2) unstable; urgency=medium
* Bump the dependency on dh-php to >= 0.33
2018-08-19 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.12+4.0.11-1) unstable; urgency=medium
* New upstream version 5.1.12+4.0.11 (Closes: #906274)
* Update maintainer email to team+php-pecl@tracker.debian.org
(Closes: #899947)
2018-03-21 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.11+4.0.11-1) unstable; urgency=medium
* New upstream version 5.1.11+4.0.11
2018-01-05 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.9+4.0.11-1) unstable; urgency=medium
* Update Vcs-* links to salsa.d.o
* New upstream version 5.1.9+4.0.11
2017-01-23 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.8+4.0.11-1) unstable; urgency=medium
* New upstream version 5.1.8+4.0.11
2016-11-07 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.7+4.0.11-2) unstable; urgency=medium
* Build-Depend on dh_php >= 0.23~ to fix missing PHP 7.0 build
2016-11-07 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.7+4.0.11-1) unstable; urgency=medium
* Imported Upstream version 5.1.7+4.0.11
2016-09-26 - Ondřej Surý <ondrej@debian.org>
php-apcu (5.1.5-8-gdbb1d14+tysonandre+4.0.11-1) unstable; urgency=medium
* Imported Upstream version 5.1.5-8-gdbb1d14+tysonandre+4.0.11
+ Contains fixes from https://github.com/TysonAndre/apcu

See Also

Package Description
php-ast_0.1.6-2_amd64.deb AST extension for PHP 7
php-auth-sasl_1.0.6-3_all.deb Abstraction of various SASL mechanism responses
php-bcmath_7.2+69ubuntu1_all.deb Bcmath module for PHP [default]
php-bz2_7.2+69ubuntu1_all.deb bzip2 module for PHP [default]
php-cache-integration-tests_0.16.0-2_all.deb Integration tests for PSR-6 and PSR-16 cache implementations
php-cache-lite_1.8.2-1build2_all.deb Fast and Safe little cache system
php-cache-tag-interop_1.0.0-1_all.deb Framework interoperable interfaces for tags
php-cas_1.3.6-1_all.deb Central Authentication Service client library in php
php-cassandra_1.3.0-1build1_amd64.deb DataStax PHP Driver for Apache Cassandra
php-cboden-ratchet_0.4.1-2_all.deb PHP WebSocket library
php-cocur-slugify_3.1-1_all.deb Converts a string to a slug for PHP
php-codecoverage_6.1.4+dfsg-1_all.deb collection, processing, and rendering for code coverage
php-codesniffer_3.4.0-2_all.deb PHP, CSS and JavaScript coding standard analyzer and checker
php-composer-ca-bundle_1.1.4-1_all.deb utility library to find a path to the system CA bundle
php-composer-semver_1.4.2-1_all.deb utilities, version constraint parsing and validation
Advertisement
Advertisement